| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IFunc3d Interface Reference

Represents scalar functions of 2 variables. More...

Inheritance diagram for IG::Num::IFunc3d:
[legend]

List of all members.

## Public Member Functions
double | Value (double x, double y, double z)
| Calculates and returns value of the current 3D scalar function.
double | Value (vec3 parameters)
| Calculates and returns value of the current 3D scalar function.
void | Gradient (double x, double y, double z, out double gradx, out double grady, out double gradz)
| Calculates gradient of the current 3D scalar function and returns its components through the specified output variables.
vec3 | Gradient (vec3 parameters)
| Calculates and returns gradient of the current 3D scalar function.
void | Hessian (double x, double y, double z, out double dxx, out double dyy, out double dzz, out double dxy, out double dxz, out double dyz)
| Calculates Hessian of the current 3D scalar function and returns its component through the specified output variables.
mat3 | Hessian (vec3 parameters)
| Calculates and returns Hessian of the current 3D scalar function and returns it (in the form of a mat3 struct).
## Properties
bool | ValueDefined`[get]`
| Whether calculation of function value is defined.
bool | GradientDefined`[get]`
| Whether calculation of function ngradient is defined.
bool | HessianDefined`[get]`
| Whether calculation of function Hessian is defined.

## Detailed Description

Represents scalar functions of 2 variables.

$A Igor Apr09;

## Member Function Documentation

double IG::Num::IFunc3d::Value | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Calculates and returns value of the current 3D scalar function.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.

Implemented in IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, IG::Num::Func3dExamples::Func3dXYZ, IG::Gr3d::ExampleValueFunctionDiff3D, IG::Num::Func3dFromScalarFunction, IG::Gr3d::VtkPlotBase::Func3dZ, IG::Gr3d::VtkPlotBase::Func3dZero, and IG::Gr3d::VtkPlotBase::ExampleValueFunctionDiff21.

double IG::Num::IFunc3d::Value | ( | vec3 | parameters | ) |

Calculates and returns value of the current 3D scalar function.

Parameters:

  parameters | Vector of function parameters (in form of the vec3) struct.

Returns:
  Function value.

Implemented in IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, IG::Num::Func3dLinear, and IG::Num::Func3dQuadratic.

void IG::Num::IFunc3d::Gradient | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | gradx,
|  | out double | grady,
|  | out double | gradz
| ) |  |

Calculates gradient of the current 3D scalar function and returns its components through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.
  gradx | First component of the returned gradient.
  grady | Second component of the returned gradient.
  gradz | Third component of the returned gradient.

Implemented in IG::Num::Func3dBaseNoGradient, IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, IG::Num::Func3dExamples::Func3dXYZ, IG::Num::Func3dFromScalarFunction, IG::Gr3d::VtkPlotBase::Func3dZ, and IG::Gr3d::VtkPlotBase::Func3dZero.

vec3 IG::Num::IFunc3d::Gradient | ( | vec3 | parameters | ) |

Calculates and returns gradient of the current 3D scalar function.

Parameters:

  parameters | Vector of parameters (in form of the vec3 struct)

<returnreturns>Gradient of the current 3D scalar function (in form of the vec3 struct)</returnreturns>

Implemented in IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, IG::Num::Func3dLinear, and IG::Num::Func3dQuadratic.

void IG::Num::IFunc3d::Hessian | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dzz,
|  | out double | dxy,
|  | out double | dxz,
|  | out double | dyz
| ) |  |

Calculates Hessian of the current 3D scalar function and returns its component through the specified output variables.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.
  dxx | Component 1-1 of the calculated Hessian.
  dyy | Component 2-2 of the calculated Hessian.
  dzz | Component 3-3 of the calculated Hessian.
  dxy | Component 1-2 of the calculated Hessian.
  dxz | Component 1-3 of the calculated Hessian.
  dyz | Component 2-3 of the calculated Hessian.

Implemented in IG::Num::Func3dBaseNoHessian, IG::Num::Func3dBaseNoGradient, IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, and IG::Num::Func3dFromScalarFunction.

mat3 IG::Num::IFunc3d::Hessian | ( | vec3 | parameters | ) |

Calculates and returns Hessian of the current 3D scalar function and returns it (in the form of a mat3 struct).

Implemented in IG::Num::Func3dBase, IG::Num::Func3dVectorFormBase, IG::Num::Func3dLinear, and IG::Num::Func3dQuadratic.

## Property Documentation

bool IG::Num::IFunc3d::ValueDefined`[get]`

Whether calculation of function value is defined.

Implemented in IG::Num::Func3dBase.

bool IG::Num::IFunc3d::GradientDefined`[get]`

Whether calculation of function ngradient is defined.

Implemented in IG::Num::Func3dBase.

bool IG::Num::IFunc3d::HessianDefined`[get]`

Whether calculation of function Hessian is defined.

Implemented in IG::Num::Func3dBase.

The documentation for this interface was generated from the following file:

- Function3d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events